Bug 1756118 - wine can't be installed because isdn4k-utils is retired
Summary: wine can't be installed because isdn4k-utils is retired
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wine
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-26 19:57 UTC by Josh Stone
Modified: 2019-09-28 00:03 UTC (History)
4 users (show)

Fixed In Version: wine-4.16-2.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-28 00:03:09 UTC


Attachments (Terms of Use)

Description Josh Stone 2019-09-26 19:57:28 UTC
On Fedora 31 Beta:

# dnf install wine
Last metadata expiration check: 0:04:55 ago on Thu 26 Sep 2019 12:41:31 PM PDT.
Error:
 Problem: conflicting requests
  - package wine-4.16-1.fc31.i686 requires wine-capi(x86-32) = 4.16-1.fc31, but none of the providers can be installed
  - package wine-4.16-1.fc31.x86_64 requires wine-capi(x86-64) = 4.16-1.fc31, but none of the providers can be installed
  - nothing provides isdn4k-utils(x86-32) needed by wine-capi-4.16-1.fc31.i686
  - nothing provides isdn4k-utils(x86-64) needed by wine-capi-4.16-1.fc31.x86_64
(try to add '--skip-broken' to skip uninstallable packages)

In isdn4k-utils' dist-git, both master and f31 are retired with this message:

> isdn4k-utils is retired because upstream is dead and isdn support is dropped in kernel-5.3 and later

Comment 1 Michael Cronenworth 2019-09-26 20:10:12 UTC
Thanks for the report. I remembered this guy was going away, but wine kept building so I didn't touch it.

Looks like it was /just/ retired a few days ago. It should not have been dropped from the F31 environment, but looks like the maintainer did it anyway... :(

@Than, only retire on the master branch, please.

I'll update wine.

Comment 2 Fedora Update System 2019-09-26 22:22:06 UTC
FEDORA-2019-026d51bfeb has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-026d51bfeb

Comment 3 Fedora Update System 2019-09-27 02:29:26 UTC
wine-4.16-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-026d51bfeb

Comment 4 Fedora Update System 2019-09-28 00:03:09 UTC
wine-4.16-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.